Package com.mockobjects.servlet

# Class MockFilterChain

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.servlet.MockFilterChain

All Implemented Interfaces:
  `Verifiable`

public class MockFilterChain extends MockObject

## Constructor Summary

Constructors
Constructor
Description
`MockFilterChain()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doFilter(ServletRequest request, ServletResponse response)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockFilterChain

public MockFilterChain()

## Method Details

### doFilter

public void doFilter(ServletRequest request, ServletResponse response) throws IOException, ServletException

Throws:
  `IOException`
  `ServletException`